Bug 488772 - [StorageRewrite] Traceback during kickstart install
[StorageRewrite] Traceback during kickstart install
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
StorageRewrite
:
Depends On:
Blocks: F11Blocker/F11FinalBlocker F11Beta/F11BetaBlocker
  Show dependency treegraph
 
Reported: 2009-03-05 12:45 EST by Orion Poplawski
Modified: 2009-03-12 11:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-12 11:51:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2009-03-05 12:45:29 EST
Description of problem:

File "/usr/lib/anaconda/kickstart.py", line 593, in parse
  filesystem = fileSystemTypeGet(pd.fstype)
NameError: global name "fileSystemTypeGet" is not defined.
Comment 1 Chris Lumens 2009-03-05 12:56:52 EST
Yeah, kickstart is on the list of things known to not work right now with the new storage code.  We'll get to that in the next couple days.
Comment 2 Orion Poplawski 2009-03-10 11:59:25 EDT
This seems to now be in today's rawhide (20090210).
Comment 3 Chris Lumens 2009-03-12 11:51:53 EDT
Committed a whole bunch of kickstart stuff this morning, so the next build of anaconda should work much better (though certainly not without bugs) for kickstart installs.

Note You need to log in before you can comment on or make changes to this bug.